:root{
    --primario:#99ffd6;
    --primarioOscuro: #00995c;
    --secundario: #ff4d4d;
    --secundarioOscuro: #b30000;
    --blanco: #fff;
    --negro: #000;
    --rojo: #ff0000;
    --menuTacos: #cc9900;
    --menuNachos: #00cc00;
    --entrega: #6600cc;

    --fuentePrincipal: 'Itim', cursive;
    --fuenteSancreek: 'Sancreek', cursive;
    --fonteNovaMono: 'Nova+Mono',cursive;
    --fonteDelius:'Delius+Unicase',cursive;
    --fonteComfortaa: 'Comfortaa',cursive;
}

html {
    box-sizing: border-box;
    font-size: 62.5%; /*Permite que 1rem = 10px*/
  }
  *, *:before, *:after {
    box-sizing: inherit;
  }

  /*** Globales ***/


  body{
   /* background-color: var(--blanco);*/
    font-size:  1.6rem;
    line-height: 1.5;
    background-image: url('../img/fondo-mini-cardapio.png');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding: 2rem;
  }


  p{
    font-size: 1.8rem;
    font-family: Arial, Helvetica, sans-serif;
    color: var(--blanco);
  }

  a{
    text-decoration: none;
  }

  img{
    max-width: 100%;
  }

  .contenedor{
    max-width: 120rem;
    margin: 0 auto;
    /*position: relative;*/
  }
  h1,h2,h3{
    text-align: center;
    color: var(--secundario);
    font-family: var(--fuentePrincipal);
  
  }

  h1{
    font-size: 3rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

  }
  h2{
    font-size: 2.2rem;
  }
  h3{
    font-size: 1.4rem;
  }

  
  @media (min-width: 768px) {

    h1{
      font-size: 4rem;
    }
    h2{font-size: 3.2rem;
    }
    h3{
      font-size: 2.4rem;
    }
  }

/** header **/

.header{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /*gap: 1rem;*/
  
}

@media (min-width: 768px){
  .header{
    flex-direction: row;
    gap: 4rem;

  }

}
.header__logo{
    margin: 1rem 0;
    
 }

 .header__parrafo{
    font-family: var(--fuentePrincipal);
    font-size: 2rem;
    text-align: center;
    font-style: italic;
    color: var(--secundarioOscuro);
    padding: 1rem 0;
    line-height: 1rem;
    margin: 0;
}

@media (min-width: 768px){

  .header__parrafo{
    font-size: 4rem;
    line-height: 12rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

  }

}

.footer{
    background-color: var(--primarioOscuro);

}
.footer__texto{
    font-family: var(--fonteNovaMono);
    color: var(--blanco);
    font-size: 1rem;
    text-align: center;
}

@media (min-width: 768px){
  .footer__texto{
    font-size: 2rem;
  }
}
/** navegacion **/
.navegacion{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--secundarioOscuro);
    padding: 1rem 0;
    display: flex;
    justify-content: center;
    gap: 2rem;
    line-height: 1;
}


.navegacion-tacos{
  background-color: var(--menuTacos);
}

.navegacion-nachos{
  background-color: var(--menuNachos);
}

@media (min-width: 768px){
  .navegacion{
      flex-direction: row;
  }

}
.navegacion__enlace{
    font-family: var(--fuentePrincipal);
    color: var(--blanco);
    font-size: 2rem;
}

@media (min-width: 768px){
  .navegacion__enlace{
    font-size: 3rem;
  }

}
.navegacion__enlace--activo,
.navegacion__enlace:hover{
    color: var(--primarioOscuro);
}


.contenedor__platos{
  color: var(--primarioOscuro);
  padding: 1rem;

}

/** main **/

/*.imagen__fondo{
  background-image: url('../img/fondo-body-oscuro.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding: 2rem;
}*/

/** grid **/

.grid{

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap:  3rem;
  justify-items: center; 
  align-items: center;

}
@media (min-width: 768px){
  .grid{
    grid-template-columns: repeat(3, 1fr);
  }
}

/** platillo **/
.platillos{
  /*position: absolute;*/
  background-color: var(--blanco);
  border-radius: 10%;
  padding: 1rem;
 
}
.platillos__imagen{
 
  width: 100%;
  border-radius: 10%;
}
/*.platillos__informacion{}*/
.platillos__categoria{
  font-family: var(--fuenteSancreek);
  color: var(--primarioOscuro);
  font-size:  3rem;
  
}
.platillos__precio{
  font-size: 1.8rem;
  color: var(--secundario);
  font-family: var(--fuentePrincipal);
}
.platillos__categoria,
.platillos__precio{
  
  margin: 1rem 0;
  text-align: center;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

}


/** Cardapio Tacos **/





.producto-nombre{
  grid-column: 1/3;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

}

.producto-precio{
  display: inline;
  padding: .5rem;
  border-radius: .5rem;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  font-family: var(--fonteDelius);
  background-color: var(--rojo);
  font-size: 1.5rem;
  font-weight: bold;
  color: var(--blanco);
  grid-column: 2/3;
  grid-row: 1/2;

}

.producto-descripcion{
  font-family: var(--fonteComfortaa);
  font-size: 1.7rem;
  color: var(--negro);
  font-weight: bold;
}

.producto-img{
  border-radius: 1.5rem;
  max-width: 100%;
  max-height: 100%;
  object-fit: scale-down;
 

}



@media (min-width: 768px){

  .productos{
    display: grid;
    gap: 1rem;
    margin: auto;
    justify-content: center;
  }

  .producto{
    display: grid;
    grid-template-columns: 30rem 50rem;
    grid-template-rows: 10rem 20rem;
    place-items: center;
    gap: 1rem;
   
    /*overflow: hidden;*/
  }

  .producto-nombre{
    grid-column: 1/3;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

  }

  .producto-precio{
    display: inline;
    padding: .5rem;
    border-radius: .5rem;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    font-family: var(--fonteDelius);
    background-color: var(--rojo);
    font-size: 2.5rem;
    font-weight: bold;
    color: var(--blanco);
    grid-column: 2/3;
    grid-row: 1/2;

  }

  .producto-descripcion{
    font-family: var(--fonteComfortaa);
    font-size: 1.7rem;
    color: var(--negro);
    font-weight: bold;
  }

  .producto-img{
    border-radius: 1.5rem;
    max-width: 100%;
    max-height: 100%;
    object-fit: scale-down;
   

  }

}

.entrega{
  display: flex;
  gap: 2rem;
  justify-content:right;
  align-items: center;
}

.entrega__texto{
  font-family: var(--fonteNovaMono);
  color: var(--entrega);
  transform: skew(-30deg);
  font-weight: bold;
}